# API

The complete API provided by official SUIT packages. See the README of
individual packages for details of their API.

## Utilities

### [Dimension](https://github.com/suitcss/utils-dimension)

* `u-sizeFill`
* `u-sizeFillAlt`
* `u-sizeFit`
* `u-sizeFitAlt`
* `u-sizeFull`
* `u-sizeXof2`
* `u-sizeXof3`
* `u-sizeXof4`
* `u-sizeXof5`
* `u-sizeXof6`
* `u-sizeXof8`
* `u-sizeXof10`
* `u-sizeXof12`

…and responsive variants `v1-*`, `v2-*`, and `v3-*`.

### [Display](https://github.com/suitcss/utils-display)

* `u-block`
* `u-inline`
* `u-inlineBlock`
* `u-table`
* `u-tableCell`

### [Layout](https://github.com/suitcss/utils-layout)

* `u-alignTop`
* `u-alignMiddle`
* `u-alignBaseline`
* `u-alignBottom`
* `u-cf`
* `u-nbfc`
* `u-nbfcAlt`
* `u-objLeft`
* `u-objRight`
* `u-pullLeft`
* `u-pullRight`

### [Link](https://github.com/suitcss/utils-link)

* `u-linkBlock`
* `u-linkClean`
* `u-linkComplex` / `u-linkComplex-target`
* `u-linkPseudo`

### [Offset](https://github.com/suitcss/utils-offset)

* `u-beforeXof2`
* `u-beforeXof3`
* `u-beforeXof4`
* `u-beforeXof5`
* `u-beforeXof6`
* `u-beforeXof8`
* `u-beforeXof10`
* `u-beforeXof12`
* `u-afterXof2`
* `u-afterXof3`
* `u-afterXof4`
* `u-afterXof5`
* `u-afterXof6`
* `u-afterXof8`
* `u-afterXof10`
* `u-afterXof12`

…and responsive variants `v1-*`, `v2-*`, and `v3-*`.

### [State](https://github.com/suitcss/utils-state)

* `u-isActionable`
* `u-isDisabled`
* `u-isDraggable`
* `u-isHidden`
* `u-isHiddenVisually`
* `u-isInvisible`
* `u-isVisible`

### [Text](https://github.com/suitcss/utils-text)

* `u-textBreak`
* `u-textCenter`
* `u-textColorInherit`
* `u-textColorInheritAll`
* `u-textLeft`
* `u-textRight`
* `u-textTruncate`


## Components

### [Arrange](https://github.com/suitcss/arrange)

* `Arrange`
* `Arrange-sizeFill`
* `Arrange-sizeFit`
* `Arrange--middle`
* `Arrange--bottom`
* `Arrange--equal`
* `Arrange--withGutter`

### [Button](https://github.com/suitcss/button)

* `Button`
* `Button.is-disabled`

### [Button group](https://github.com/suitcss/button-group)

* `ButtonGroup`
* `ButtonGroup-item`
* `ButtonGroup--hz`
* `ButtonGroup--borderCollapse` (via plugin)

### [Flexible embeds](https://github.com/suitcss/flex-embed)

* `FlexEmbed`
* `FlexEmbed-item`
* `FlexEmbed--4by3`
* `FlexEmbed--16by9`

### [Grid](https://github.com/suitcss/grid)

* `Grid`
* `Grid-cell`
* `Grid--alignCenter`
* `Grid--alignRight`
* `Grid-cell--center`

### [Grid layouts](https://github.com/suitcss/grid-layouts)

* `v1-Grid--2col`
* `v1-Grid--3col`
* `v2-Grid--1col`
* `v2-Grid--2col`
* `v2-Grid--3col`
* `v2-Grid--4col`
* `v2-Grid--1to2`
* `v2-Grid--2to1`
* `v2-Grid--1to3`
* `v2-Grid--3to1`
* `v2-Grid--3on1`
* `v2-Grid--fitToFill`
* `v3-Grid--1col`
* `v3-Grid--2col`
* `v3-Grid--3col`
* `v3-Grid--4col`
* `v3-Grid--1to2`
* `v3-Grid--2to1`
* `v3-Grid--2to3`
* `v3-Grid--3to2`
